/*
 * Class HEXADECIMAL_STRING_TO_INTEGER_CONVERTER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_455 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_455 [] = {0xFF01,1551,454,0xFFFF};
static const EIF_TYPE_INDEX egt_2_455 [] = {0xFF01,454,0xFFFF};
static const EIF_TYPE_INDEX egt_3_455 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_455 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_455 [] = {0xFF01,454,0xFFFF};
static const EIF_TYPE_INDEX egt_6_455 [] = {0xFF01,454,0xFFFF};
static const EIF_TYPE_INDEX egt_7_455 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_455 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_455 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_455 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_455 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_455 [] = {0xFF01,454,0xFFFF};
static const EIF_TYPE_INDEX egt_13_455 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_455 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_455 [] = {0xFF01,450,0xFFFF};
static const EIF_TYPE_INDEX egt_16_455 [] = {860,0xFFFF};
static const EIF_TYPE_INDEX egt_17_455 [] = {860,0xFFFF};


static const struct desc_info desc_455[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_455), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_455), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_455), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_455), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_455), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_455), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_455), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_455), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_455), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_455), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_455), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_455), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x038D /*454*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_455), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 7590, 48},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 7591, 24},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7593, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7594, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7595, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7596, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7597, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7601, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7602, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7604, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7605, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7606, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7607, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7609, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7610, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7611, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7612, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7619, 9},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7620, 10},
	{EIF_GENERIC(egt_13_455), 7621, 0},
	{EIF_GENERIC(egt_14_455), 7622, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7687, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7623, 12},
	{EIF_GENERIC(NULL), 7684, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7624, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7627, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7685, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7628, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7629, 20},
	{EIF_GENERIC(NULL), 7679, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7688, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7689, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 7690, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7691, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7692, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7693, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 7694, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 7695, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 7696, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 7697, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 7698, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 7699, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 7700, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7701, 11},
	{EIF_GENERIC(egt_15_455), 7702, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_455), 7703, 32},
	{EIF_GENERIC(egt_17_455), 7704, 40},
};
void Init455(void)
{
	IDSC(desc_455, 0, 454);
	IDSC(desc_455 + 1, 1, 454);
	IDSC(desc_455 + 32, 134, 454);
	IDSC(desc_455 + 55, 1173, 454);
	IDSC(desc_455 + 74, 113, 454);
}


#ifdef __cplusplus
}
#endif
